## ros-kinetic-pal-hardware-interfaces 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_hardware_interfaces)

find_package(catkin REQUIRED COMPONENTS hardware_interface)

catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES pal_hardware_interfaces
   CATKIN_DEPENDS hardware_interface
#  DEPENDS system_lib
)

install(DIRECTORY include/
   DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h*"
)

=== debian/changelog ===
ros-kinetic-pal-hardware-interfaces (0.0.3-0xenial) xenial; urgency=high

  * added getter to temperature data
  * Changed license
  * Contributors: Hilario Tome
  * added getter to temperature data
  * Changed license
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Thu, 16 Feb 2017 23:00:00 -0000

ros-kinetic-pal-hardware-interfaces (0.0.2-0xenial) xenial; urgency=high

  * Added correct depends
  * Add new file
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 10 Oct 2016 22:00:00 -0000

ros-kinetic-pal-hardware-interfaces (0.0.1-0xenial) xenial; urgency=high

  * Removed unnecessary hardware interfaces
  * Added interfaces
  * Initial commit
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Sun, 02 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pal-hardware-interfaces
Section: misc
Priority: extra
Maintainer: Hilario Tome <hilario.tome@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-hardware-interface
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pal-hardware-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-hardware-interface
Description: The pal_hardware_interfaces package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pal-hardware-interfaces//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
